Skip to main content
GET
/
v1
/
parcel_templates
List
curl --request GET \
  --url https://{defaultHost}/v1/parcel_templates \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/parcel_templates"
  },
  "data": [
    {
      "id": "35abbbc1-dd66-45f8-8d20-81605eba951a",
      "object": "parcel_template",
      "default": false,
      "dimensions": {
        "length": 10,
        "width": 8,
        "height": 6,
        "unit": "in"
      },
      "name": "Standard Box",
      "package_type": "box",
      "weight": 5,
      "weight_unit": "lb",
      "created_at": 1772112987,
      "updated_at": 1772112987
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.